import 'package:biopassid_flutter_example/components/grid_image.dart';
import 'package:flutter/material.dart';

class FaceCheck extends StatefulWidget {
  final void Function() openCamera;

  const FaceCheck({Key? key, required this.openCamera}) : super(key: key);

  @override
  State<FaceCheck> createState() => _FaceCheckState();
}

class _FaceCheckState extends State<FaceCheck> {
  final images = [
    'image_01',
    'image_02',
    'image_03',
    'image_04',
    'image_05',
    'image_06'
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: const Color(0XFFFFFEFD),
      body: Padding(
        padding: const EdgeInsets.only(
          top: 54,
          left: 30,
          right: 30,
        ),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            const Text(
              'Quality',
              style: TextStyle(
                fontWeight: FontWeight.bold,
                fontSize: 32,
              ),
            ),
            const Text(
              'ICAO Face Check',
              style: TextStyle(
                fontSize: 32,
              ),
            ),
            const SizedBox(height: 15),
            const Text(
              'Para realizar a verificação ICAO, envie uma foto.',
              style: TextStyle(fontSize: 16),
            ),
            Expanded(
              child: GridView(
                gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
                  crossAxisCount: 2,
                  mainAxisSpacing: 10,
                  crossAxisSpacing: 10,
                  childAspectRatio: 1,
                ),
                children:
                    images.map((image) => GridImage(image: image)).toList(),
              ),
            ),
          ],
        ),
      ),
      floatingActionButton: FloatingActionButton(
        backgroundColor: Colors.white,
        onPressed: widget.openCamera,
        tooltip: 'Envie uma foto',
        child: const Icon(
          Icons.add,
          color: Color(0xFFC59F64),
        ),
      ),
    );
  }
}
