import 'package:flutter/material.dart';

class IcaoResult extends StatelessWidget {
  final bool isConformed;
  final double confidence;
  final String icaoRequirementName;

  const IcaoResult(
      {Key? key,
      required this.isConformed,
      required this.icaoRequirementName,
      required this.confidence})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Icon(
          isConformed ? Icons.check_circle_outline : Icons.info_outline,
          color:
              isConformed ? const Color(0xFFC59F64) : const Color(0xFFE25353),
        ),
        const SizedBox(width: 16),
        Text.rich(
          TextSpan(
            text: '$icaoRequirementName ',
            style: const TextStyle(fontWeight: FontWeight.bold),
            children: [
              TextSpan(
                text: '($confidence)',
                style: const TextStyle(fontWeight: FontWeight.normal),
              ),
            ],
          ),
          style: const TextStyle(fontSize: 16),
        ),
      ],
    );
  }
}
