import 'package:biopassid_flutter_example/components/icao_result_list.dart';
import 'package:flutter/material.dart';
import 'package:biopassid_flutter/biopassid_flutter.dart';

class IcaoResultBottomSheet extends StatelessWidget {
  final RequirementsICAOResponse icaoRequirementsResponse;

  const IcaoResultBottomSheet(
      {Key? key, required this.icaoRequirementsResponse})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.only(
        top: 32,
        left: 30,
        right: 30,
        bottom: 19,
      ),
      height: MediaQuery.of(context).size.height * 0.75,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const Text(
            'Quality',
            style: TextStyle(
              fontWeight: FontWeight.bold,
              fontSize: 32,
            ),
          ),
          const Text(
            'ICAO Face Check',
            style: TextStyle(
              fontSize: 32,
            ),
          ),
          const SizedBox(height: 16),
          const Text(
            'Resultado da verificação:',
            style: TextStyle(
              fontSize: 16,
            ),
          ),
          const SizedBox(height: 24),
          const Divider(color: Colors.black),
          const SizedBox(height: 20),
          Expanded(
            child: IcaoResultList(
              icaoRequirementsResponse: icaoRequirementsResponse,
            ),
          ),
        ],
      ),
    );
  }
}
