import 'package:biopassid_flutter/biopassid_flutter.dart';
import 'package:biopassid_flutter_example/components/icao_result.dart';
import 'package:flutter/material.dart';

class IcaoResultList extends StatelessWidget {
  final RequirementsICAOResponse icaoRequirementsResponse;

  const IcaoResultList({Key? key, required this.icaoRequirementsResponse})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListView(
      children: [
        IcaoResult(
          icaoRequirementName: 'Blurred',
          isConformed: icaoRequirementsResponse.blurred!.isConformed!,
          confidence: icaoRequirementsResponse.blurred!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'LookingAway',
          isConformed: icaoRequirementsResponse.lookingAway!.isConformed!,
          confidence: icaoRequirementsResponse.lookingAway!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'InkMarked',
          isConformed: icaoRequirementsResponse.inkMarked!.isConformed!,
          confidence: icaoRequirementsResponse.inkMarked!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'UnnaturalSkin',
          isConformed: icaoRequirementsResponse.unnaturalSkin!.isConformed!,
          confidence: icaoRequirementsResponse.unnaturalSkin!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'TooDarkLight',
          isConformed: icaoRequirementsResponse.tooDarkLight!.isConformed!,
          confidence: icaoRequirementsResponse.tooDarkLight!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'WashedOut',
          isConformed: icaoRequirementsResponse.washedOut!.isConformed!,
          confidence: icaoRequirementsResponse.washedOut!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'Pixelation',
          isConformed: icaoRequirementsResponse.pixelation!.isConformed!,
          confidence: icaoRequirementsResponse.pixelation!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'HairAcrossEyes',
          isConformed: icaoRequirementsResponse.hairAcrossEyes!.isConformed!,
          confidence: icaoRequirementsResponse.hairAcrossEyes!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'VariedBackground',
          isConformed: icaoRequirementsResponse.variedBackground!.isConformed!,
          confidence: icaoRequirementsResponse.variedBackground!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'Roll_Pitch_Yaw',
          isConformed: icaoRequirementsResponse.roll_Pitch_Yaw!.isConformed!,
          confidence: icaoRequirementsResponse.roll_Pitch_Yaw!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'FlashReflectionOnSkin',
          isConformed:
              icaoRequirementsResponse.flashReflectionOnSkin!.isConformed!,
          confidence:
              icaoRequirementsResponse.flashReflectionOnSkin!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'RedEyes',
          isConformed: icaoRequirementsResponse.redEyes!.isConformed!,
          confidence: icaoRequirementsResponse.redEyes!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'ShadowsBehindHead',
          isConformed: icaoRequirementsResponse.shadowsBehindHead!.isConformed!,
          confidence: icaoRequirementsResponse.shadowsBehindHead!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'ShadowsAcrossFace',
          isConformed: icaoRequirementsResponse.shadowsAcrossFace!.isConformed!,
          confidence: icaoRequirementsResponse.shadowsAcrossFace!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'DarkTintedLenses',
          isConformed: icaoRequirementsResponse.darkTintedLenses!.isConformed!,
          confidence: icaoRequirementsResponse.darkTintedLenses!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'FlashReflectionOnLenses',
          isConformed:
              icaoRequirementsResponse.flashReflectionOnLenses!.isConformed!,
          confidence:
              icaoRequirementsResponse.flashReflectionOnLenses!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'FramesTooHeavy',
          isConformed: icaoRequirementsResponse.framesTooHeavy!.isConformed!,
          confidence: icaoRequirementsResponse.framesTooHeavy!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'FramesCoveringEyes',
          isConformed:
              icaoRequirementsResponse.framesCoveringEyes!.isConformed!,
          confidence: icaoRequirementsResponse.framesCoveringEyes!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'Hat_Cap',
          isConformed: icaoRequirementsResponse.hat_Cap!.isConformed!,
          confidence: icaoRequirementsResponse.hat_Cap!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'VeilOverFace',
          isConformed: icaoRequirementsResponse.veilOverFace!.isConformed!,
          confidence: icaoRequirementsResponse.veilOverFace!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'MouthOpen',
          isConformed: icaoRequirementsResponse.mouthOpen!.isConformed!,
          confidence: icaoRequirementsResponse.mouthOpen!.confidence!,
        ),
        const SizedBox(height: 10),
        IcaoResult(
          icaoRequirementName: 'OtherFaces',
          isConformed: icaoRequirementsResponse.otherFaces!.isConformed!,
          confidence: icaoRequirementsResponse.otherFaces!.confidence!,
        ),
      ],
    );
  }
}
