import 'package:biopassid_flutter/src/biopassid_configurations/biopassapi/icao/requirements_icao_response.dart';

class IcaoResponse {
  int? faceImageConformed;
  bool? isAllConformed;
  RequirementsICAOResponse? requirements;

  IcaoResponse(
      {this.faceImageConformed, this.isAllConformed, this.requirements});

  factory IcaoResponse.fromMap(Map<String, dynamic> map) {
    return IcaoResponse(
      faceImageConformed: map['faceImageConformed']?.toInt(),
      isAllConformed: map['isAllConformed'],
      requirements: map['requirements'] != null
          ? RequirementsICAOResponse.fromMap(Map<String, dynamic>.from(
              map['requirements'] as Map<Object?, Object?>))
          : null,
    );
  }

  @override
  String toString() =>
      'Icao(faceImageConformed: $faceImageConformed, isAllConformed: $isAllConformed)';
}
