import 'package:biopassid_flutter/src/biopassid_configurations/configs/biopassid_config.dart';
import 'package:biopassid_flutter/src/biopassid_configurations/biopassid_config_type.dart';
import 'package:biopassid_flutter/src/biopassid_configurations/configs/face_detection_biopassid_config.dart';
import 'package:biopassid_flutter/src/biopassid_configurations/configs/liveness_detection_biopassid_config.dart';
import 'package:biopassid_flutter/src/biopassid_configurations/configs/default_biopassid_config.dart';

class BioPassIDConfigPreset {
  static BioPassIDConfig getConfig(BioPassIDConfigType type) {
    switch (type) {
      case BioPassIDConfigType.LIVENESS_DETECTION:
        return LivenessDetectionBioPassIDConfig();
      case BioPassIDConfigType.FACE_DETECTION:
        return FaceDetectionBioPassIDConfig();
      default:
        return DefaultBioPassIDConfig();
    }
  }
}
