import 'dart:typed_data';

import 'package:biopassid_flutter/biopassid_flutter.dart';
import 'package:biopassid_flutter/src/biopassid_configurations/biopassapi/icao/icao_response.dart';

class BioPassIDEvent {
  final Uint8List photo;
  IcaoResponse? icao;
  FaceSpoofResponse? spoof;

  BioPassIDEvent({
    required this.photo,
    this.icao,
    this.spoof,
  });

  factory BioPassIDEvent.fromMap(Map<String, dynamic> map) {
    return BioPassIDEvent(
      photo: map['photo'],
      icao: map['icao'] != null ? IcaoResponse.fromMap(map['icao']) : null,
      spoof: map['spoofing'] != null
          ? FaceSpoofResponse.fromMap(map['spoofing'])
          : null,
    );
  }

  @override
  String toString() =>
      'BioPassIDEvent(photo: $photo, icao: $icao, spoof: $spoof)';
}
