import 'package:biopassid_flutter/src/biopassid_configurations/biopassid_strings.dart';
import 'package:biopassid_flutter/src/biopassid_configurations/biopassid_styles.dart';
import 'package:biopassid_flutter/src/biopassid_configurations/camera_lens_direction.dart';
import 'package:biopassid_flutter/src/biopassid_configurations/camera_preset.dart';
import 'package:flutter/material.dart';

abstract class BioPassIDConfig {
  Map<String, String> get apiKey;
  CameraPreset get cameraPreset;
  CameraLensDirection get defaultCameraPosition;
  bool get showCaptureButton;
  bool get showFlashButton;
  bool get showFlipCameraButton;
  bool get flashEnabledByDefault;
  bool get icao;
  bool get spoofing;
  bool get showHelpText;
  // Strings
  BioPassIDStrings get strings;
  String get screenTitle;
  String get helpText;
  // Styles
  BioPassIDStyles get styles;
  Color get faceColor;
  Color get overlayColor;
  Color get flashButtonEnabledColor;

  BioPassIDConfig setMultibiometricsKey(String multibiometricsKey);
  BioPassIDConfig setQualityKey(String qualityKey);
  BioPassIDConfig setCameraPreset(CameraPreset cameraPreset);
  BioPassIDConfig setDefaultCameraPosition(
      CameraLensDirection defaultCameraPosition);
  BioPassIDConfig setShowCaptureButton(bool showCaptureButton);
  BioPassIDConfig setShowFlashButton(bool showFlashButton);
  BioPassIDConfig setShowFlipCameraButton(bool showFlipCameraButton);
  BioPassIDConfig setFlashEnabledByDefault(bool flashEnabledByDefault);
  BioPassIDConfig setShowHelpText(bool showHelpText);
  BioPassIDConfig setIcao(bool icao);
  BioPassIDConfig setSpoofing(bool spoofing);
  // Strings
  BioPassIDConfig setStrings(BioPassIDStrings strings);
  BioPassIDConfig setScreenTitle(String screenTitle);
  BioPassIDConfig setHelpText(String helpText);
  // Styles
  BioPassIDConfig setStyles(BioPassIDStyles styles);
  BioPassIDConfig setFaceColor(Color faceColor);
  BioPassIDConfig setOverlayColor(Color overlayColor);
  BioPassIDConfig setFlashButtonEnabledColor(Color flashButtonEnabledColor);

  Map<String, dynamic> toMap();
}
