import 'package:flutter/material.dart';

extension ColorUtil on Color {
  String toHex() {
    return '#${value.toRadixString(16)}';
  }

  static Color fromHex(String hexString) {
    return Color(
      int.parse(
        hexString.toUpperCase().replaceFirst('#', '0xFF'),
      ),
    );
  }
}
